Bug 458118 - i18n env should be reset when running cimserver
i18n env should be reset when running cimserver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sblim (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Vitezslav Crhonek
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 11:04 EDT by Urba
Modified: 2009-09-02 05:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
the provider in the sblim-cmpi-network subpackage executes /sbin/ifconfig to generate localized output. In the section of the code that generates wbemcli output for IPv4 addresses, the language for ifconfig was not identified, with the result that no output was generated at all when the LANG= environment was set to anything other than en_US. IPv4Address, IPv6Address, and SubnetMask were then all reported as "NULL". The language passed to ifconfig is now specified as en_US, so that meaningful output is returned, regardless of the language of the environment.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:18:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to sblim-cmpi-network (552 bytes, patch)
2009-04-07 09:37 EDT, Vitezslav Crhonek
no flags Details | Diff

  None (edit)
Description Urba 2008-08-06 11:04:35 EDT
Description of problem:

Trying to enumerate instance like /root/cimv2:Linux_IPProtocolEndpoint partially failled, if tog-pegasus is running with a non english environnement.

Looking at the source code, we see that the provider execute /sbin/ifconfig and parse output. If this output is internationalized, it may not parse correctly.

(see http://sblim.cvs.sourceforge.net/sblim/cmpi-network/OSBase_IPProtocolEndpoint.c?revision=1.10&view=markup)



How reproducible:
Use LANG=fr as environnement for pegasus

  
Actual results:
Output from wbemcli :
-IPv4Address="NULL"
-IPv6Address="NULL"
-SubnetMask="NULL"


Expected results:
Output from wbemcli :
-IPv4Address="172.29.1.1"
-IPv6Address="NULL"
-SubnetMask="255.255.255.0"


Additional info:
This can be fixed by starting Pegasus prefixed with 
LANG= LC_ALL=
Comment 3 Vitezslav Crhonek 2009-04-07 09:37:18 EDT
Created attachment 338500 [details]
Proposed patch to sblim-cmpi-network
Comment 9 Ruediger Landmann 2009-08-30 22:04:54 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
the provider in the sblim-cmpi-network subpackage executes
/sbin/ifconfig to generate localized output. In the section of the
code that generates wbemcli output for IPv4 addresses, the 
language for ifconfig was not identified, with the result that no 
output was generated at all when the LANG= environment was set to 
anything other than en_US. IPv4Address, IPv6Address, and SubnetMask 
were then all reported as "NULL". The language passed to ifconfig is now 
specified as en_US, so that meaningful output is returned, regardless
of the language of the environment.
Comment 10 errata-xmlrpc 2009-09-02 05:18:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1267.html

Note You need to log in before you can comment on or make changes to this bug.